* use control mean
* save coefficient and se
* add coeficient to control mean create treatment mean
* compute CI from treatment mean +/- se*1.96 to make hiy and loy for treat==1 only

*** FIRST RUN REGRESSIONS DO FILE WITH FIGURE SWITCH ON ***

set scheme s1mono

clear

cd "${OUTPUT}/graphs"

local sd_tables sd_all 
local dy_tables dy_all 

*** ** * ** *** ** * ** *** ** * ** *** ** * ** *** ** * ** *** ** * ** *** ** *
*** ** * ** *** ** * ** *** ** * ** *** ** * ** *** ** * ** *** ** * ** *** ** *

foreach table of local sd_tables {

	foreach panel in A /* B */ {
		clear
		foreach outc in $`table' {
			append using sd`panel'_`outc'.dta
		}
		
		gen double vpos=.h
		replace vpos=0 if bar==1
		replace vpos=.9 if bar==2
		replace vpos=1.3 if bar==3
		replace vpos=2.5 if bar==4
		
		replace outcome = outcome + 1 if outcome>5
		replace outcome = outcome + 1 if outcome>10
		
		local bar bar
		local vpos vpos
		local outcome outcome 
		local outcome_var outcome_var
		local meany meany
		local loy loy 
		local hiy hiy 
		local loy2 loy2 
		local hiy2 hiy2 

		local labeltreat Savings Default (SD)
		local labelcontrol Cash (C)

		* flip order so that first is on top
		su `outcome'
		replace outcome = r(max)-`outcome'+1

		* convert to ppp
		foreach ppvar of varlist meany loy hiy loy2 hiy2 {
			replace `ppvar'=`ppvar'/141.64
		}
		//

		tempvar outctreat

		gen `outctreat'=.y
		levelsof `outcome', local(outcomes)
		local ylabelfill
		foreach outc of local outcomes {
			replace `outctreat' = `vpos'+(`outc'-1)*6 if `outcome' == `outc'
			levelsof `outcome_var' if `outcome'==`outc', local(yla) clean
			di `"`ylabelfill'"'
			local ylabelfill `ylabelfill' `=1+.5+(`outc'-1)*6' "`yla'"
			di `"`ylabelfill'"'
		}
		di `"`ylabelfill'"'

		sort `outctreat'
		list `outcome' `outcome_var' `vpos' `outctreat' `bar' `meany' `hiy' `loy' `hiy2' `loy2' , sepby(`outcome')

		twoway (spike `meany' `outctreat' if `bar'==1, horizontal lwidth(thick) color(gs6)) ///
			   (spike `meany' `outctreat' if `bar'==4, horizontal lwidth(thick) color(gs9)) ///
			   (rcap `hiy2' `loy2' `outctreat' if `bar'==2, horizontal lwidth(thin) msize(vsmall)) ///
			   (rspike `hiy' `loy' `outctreat' if `bar'==3, horizontal lwidth(medthick) color(gs12)), ///
			   legend(order(2 "`labelcontrol'" 1 "`labeltreat'" 4 "Diff.: SD - C" 3 "95% CI") size(vsmall) symxsize(3)) ///
			   ylabel(`ylabelfill', noticks angle(horizontal) labsize(small)) ///
			   xlabel(0(20)140, ) ///
			   xscale(range(0 140)) ///
			   xlabel(, labsize(vsmall)) ///
			   xtitle("PPP$", size(small)) ytitle("")
			   
		gr display, ysize(8) xsize(7.5)	   
		gr export "`table'_`panel'_${S_DATE}.pdf", replace

	} 
	// end foreach panael
}
// end foreach table


foreach table of local dy_tables {

	di "`table'"
	di "${`table'}"

	clear
	foreach outc in $`table' {
		append using dy_`outc'.dta
	}
		
	des,s 
	
	pause off
	pause
	
	
	local scale = 1
	
	gen double vpos=.h
	replace vpos=0*`scale' 		if bar==1 // se diff 1-8 
	replace vpos=.2*`scale' 		if bar==2 // diff 1-8 
	
	replace vpos=1*`scale' 	if bar==3 // 8 day
	
	replace vpos=1.6*`scale' 		if bar==4 // se diff 0-8 
	replace vpos=1.8*`scale' 		if bar==5 // diff 0-8 
	
	replace vpos=2.8*`scale'	if bar==6 // 1 day
	
	replace vpos=3.4*`scale'		if bar==7 // se diff 0-1
	replace vpos=3.6*`scale'		if bar==8 // diff 0-1 
	
	local maxvposbase = 4.2
	replace vpos=`maxvposbase'*`scale' 	if bar==9 // 0 day
	
	replace outcome = outcome + 1 if outcome>5
	replace outcome = outcome + 1 if outcome>10
	
	local bar bar
	local vpos vpos
	local outcome outcome 
	local outcome_var outcome_var
	local meany meany
	local loy loy 
	local hiy hiy 
	local loy2 loy2 
	local hiy2 hiy2 

	local labeltreat2 8-day Delay (+8)
	local labeltreat1 1-day Delay (+1)
	local labelcontrol No Delay (+0)
	
	* while testing: keep if outcome==1

	* flip order so that first is on top
	su `outcome'
	replace outcome = r(max)-`outcome'+1

	* convert to ppp
	foreach ppvar of varlist meany loy hiy loy2 hiy2 {
		replace `ppvar'=`ppvar'/141.64
	}
	//

	tempvar outctreat
	
	local mult = (`maxvposbase'+1)*`scale'
	
	gen `outctreat'=.y
	levelsof `outcome', local(outcomes)
	local ylabelfill
	foreach outc of local outcomes {
		replace `outctreat' = `vpos'+(`outc'-1)*`mult' if `outcome' == `outc'
		levelsof `outcome_var' if `outcome'==`outc', local(yla) clean
		di `"`ylabelfill'"'
		local ylabelfill `ylabelfill' `=1+`mult'/2+(`outc'-1)*`mult'' "`yla'"
		di `"`ylabelfill'"'
	}
	di `"`ylabelfill'"'

	sort `outcome'  `bar' // `outctreat'
	list `outcome' `outcome_var' `vpos' `outctreat' `bar' `meany' `hiy' `loy' `hiy2' `loy2' , sepby(`outcome')

	twoway (spike `meany' `outctreat' if `bar'==3, horizontal lwidth(thick) color(gs3)) ///
		   (spike `meany' `outctreat' if `bar'==6, horizontal lwidth(thick) color(gs6)) ///
		   (spike `meany' `outctreat' if `bar'==9, horizontal lwidth(thick) color(gs9)) ///
		   ///
		   (rspike `hiy' `loy' `outctreat' if `bar'==8, horizontal lwidth(medthick) color(gs12)) ///
		   (rspike `hiy' `loy' `outctreat' if `bar'==5, horizontal lwidth(medthick) color(gs12)) ///
		   (rspike `hiy' `loy' `outctreat' if `bar'==2, horizontal lwidth(medthick) color(red)) ///
		   ///
		   (rcap `hiy2' `loy2' `outctreat' if `bar'==7, horizontal lwidth(thin) msize(vsmall) color(gs1)) ///
		   (rcap `hiy2' `loy2' `outctreat' if `bar'==4, horizontal lwidth(thin) msize(vsmall) color(gs1)) ///
		   (rcap `hiy2' `loy2' `outctreat' if `bar'==1, horizontal lwidth(thin) msize(vsmall) color(red)), ///
		   ///
		   legend(order(3 "`labelcontrol'" 2 "`labeltreat1'" 1 "`labeltreat2'" 4 "Diff. to +0" 6 "Diff. +8 vs +1" 7 "95% CI" ) size(vsmall) symxsize(small)) ///
		   ylabel(`ylabelfill', noticks angle(horizontal) ) ///
		   xlabel(0(20)140, ) ///
		   xscale(range(0 140)) ///
		   xtitle("PPP$", size(small)) ytitle("")
		   
	gr display, ysize(9) xsize(7.5) scale(1)	   
		   
	gr save "`table'_${S_DATE}.gph", replace
	gr export "`table'_${S_DATE}.pdf", replace

}
// end foreach table		   
		   
local date ${S_DATE}

		   
exit
