
*** --- ~~~ --- ~~~ --- SAVINGS DEFAULT ~~~ --- ~~~ --- ~~~ --- ~~~ --- ~~~ ***	
	
** -----------------------------------------------------------------------------
** ADMIN RESULTS
* A: Deposits
* B: Withdrawals
* C: Net

// load data
	clear
	est clear
	use `comb_1week'
	cap drop one_obs_per_resp
	egen one_obs_per_resp = tag(blid)
	keep if one_obs_per_resp
	
	local adminvar_stubs valdeps valwith net 
		
	local days 0 3 7 14 
	foreach d in `days' { 
		local l=0
		foreach trans in `adminvar_stubs' { 
			local ++l
			
			local v `trans'_post_`d'd_gotmoney 			
			local v_pre `trans'_pre_90d_int 

			** main spec SAVINGS DEFAULT
			 local spec `v' Transfer_DD `v_pre' __Iz3com* __Iweek* 
			
			// exec regs
			 reg `spec', r
			 est store `v'
			 su `v' if e(sample) & !Transfer_DD
			 estadd scalar mean_y_contr=r(mean)
			 estadd scalar sd_y_contr=r(sd)

		} 
		// end foreach trans
	}
	// end foreach d

*** ESTOUT TABLE 

	lab var Transfer_DD "Savings Default"

	#d ;
	local estoutopts_DD_basic_admin
	 keep(Transfer_DD)
	 numbers label
	 title("Table 4", @title)
	 collabels(, none) mlabels(, none)
	 posthead("") varwidth(30) modelwidth(10)
	 cells(b(star fmt(3)) se(par)) starlevels(* 0.10 ** 0.05 *** 0.001) 
	 legend ;
	 
	local estoutopts_DD_main_admin
		`estoutopts_DD_basic_admin'
		stats(N mean_y_contr sd_y_contr r2, fmt(0 2 2) 
		labels("Observations" "Mean of dependent variable in Cash group" "SD of dependent variable in control group" "R-squared")) 
	;
	#d cr
	
	local l=0
	foreach stub in `adminvar_stubs' { // paper: valdeps valwith net
		local ++l
		if `l'==1 local lname dep
		if `l'==2 local lname out
		if `l'==3 local lname net
		
		estout `stub'_* using "${OUTPUT}/regs/admin_SD.tex", append style(tex) `estoutopts_DD_main_admin'
		estout `stub'_* using "${OUTPUT}/regs/admin_SD.txt", append style(fixed) `estoutopts_DD_main_admin'
		
	}
	//


*** === === === === === === === === === === === === === === === === === === ***		
