** -----------------------------------------------------------------------------
** Balance tests
// load data
	use `comb_1week' // is the same as `comb_delay'	
		
// define outcome vars
	* local bl_sav_vars bl_savNBS_st bl_savform_st bl_savinf_st bl_savkind_st bl_savfiOth_st bl_savtot_st
	
	local bl_svy_vars `bl_sav_vars' hh_gender_b1t99 hh9_married_b1t99 hh_size_b1t99 BL_ag2_b1t99 BL_total_assets_b1t99 pca_b1t99 bankdist_b1t99 hyperbolic_b1t99 patientnow_b1t99 switchA_b1t99

	local exp1_vars total_b1t99_pre food_b1t99_pre non_b1t99_pre durainvest_b1t99_pre socservfee_b1t99_pre unplan_food_b1t99_pre unplan_non_b1t99_pre 

	local sav1_vars savNBS_st_b1t99_pre savform_st_b1t99_pre savinf_st_b1t99_pre savkind_st_b1t99_pre savfiOth_st_b1t99_pre savtot_st_b1t99_pre 	
	
	local bankint_vars actAny_pre_7d_int actAny_pre_90d_int valdeps_pre_90d_int valwith_pre_90d_int net_pre_90d_int 

	local balanceyvars `bl_svy_vars' `sav1_vars' `exp1_vars' `bankint_vars'	
	 
// balance specs 

		
	reg CS `balanceyvars', 
	testparm `balanceyvars'
	local p_joint_all_CS = r(p)
		
	reg DD `balanceyvars', 
	testparm `balanceyvars'
	local p_joint_all_DD = r(p)
		
	reg delay0 `balanceyvars', 
	testparm `balanceyvars'
	local p_joint_all_d0 = r(p)
		
	reg delay1 `balanceyvars', 
	testparm `balanceyvars'
	local p_joint_all_d1 = r(p)
		
	reg delay8 `balanceyvars', 
	testparm `balanceyvars'
	local p_joint_all_d8 = r(p)	
	
	local cnt_blvar = 0
	foreach Y of varlist `balanceyvars' { // 
		local ++cnt_blvar
		di "`cnt_blvar': `Y'"

			
		preserve			
			reg `Y' d_treatgr_3 d_treatgr_4 d_treatgr_5 d_treatgr_6 d_treatgr_7 __Iz3com* __Iweek_*, robust
			testparm d_treatgr_?
			gen p_joint = r(p)
			
			forv i=2/7 {
				su `Y' if d_treatgr_`i'==1
				gen means`i' = r(mean)
				gen sd`i' = r(sd)
				gen N`i' = r(N)
			}
				
			gen varname = "`Y'"
			local varlab: variable label `Y'
			gen varlab = "`varlab'"
				
			local orderkeep varname varlab means2 sd2 N2 means3 sd3 N3 means4 sd4 N4 means5 sd5 N5 means6 sd6 N6 means7 sd7 N7 p_joint 
			order `orderkeep'
			keep `orderkeep'
			keep in 1/1
			gen note = "p val from: reg `Y' d_treatgr_3 d_treatgr_4 d_treatgr_5 d_treatgr_6 d_treatgr_7 __Iz3com* __Iweek_*, robust; testparm d_treatgr_?"
			
			save  "${OUTPUT}/regs/bal1_`cnt_blvar'", replace
		restore
		
		preserve
			reg `Y' DD __Iz3com* __Iweek_*, robust
			testparm DD
			gen p_joint = r(p)
			
			gen p_joint_all_CS = `p_joint_all_CS'
			gen p_joint_all_DD = `p_joint_all_DD'

			su `Y' if CS==1
			gen means2 = r(mean)
			gen sd2 = r(sd)
			gen N2 = r(N)
			
			su `Y' if DD==1
			gen means3 = r(mean)
			gen sd3 = r(sd)
			gen N3 = r(N)
			
			gen varname = "`Y'"
			local varlab: variable label `Y'
			gen varlab = "`varlab'"
				
			local orderkeep varname varlab means2 sd2 N2 means3 sd3 N3 p_joint* 
			order `orderkeep'
			keep `orderkeep'
			keep in 1/1
			
			save  "${OUTPUT}/regs/bal2_`cnt_blvar'", replace
		restore
		
		preserve
			reg `Y' control delay1 delay8 __Iz3com* __Iweek_*, robust
			testparm delay1 delay8 
			gen p_joint = r(p)
			
			gen p_joint_all_d0 = `p_joint_all_d0'
			gen p_joint_all_d1 = `p_joint_all_d1'
			gen p_joint_all_d8 = `p_joint_all_d8'
			
			su `Y' if delay0==1
			gen means2 = r(mean)
			gen sd2 = r(sd)
			gen N2 = r(N)

			su `Y' if delay1==1
			gen means3 = r(mean)
			gen sd3 = r(sd)
			gen N3 = r(N)
						
			su `Y' if delay8==1
			gen means4 = r(mean)
			gen sd4 = r(sd)
			gen N4 = r(N)
						
			gen varname = "`Y'"
			local varlab: variable label `Y'
			gen varlab = "`varlab'"
				
			local orderkeep varname varlab means2 sd2 N2 means3 sd3 N3 means4 sd4 N4 p_joint*
			order `orderkeep'
			keep `orderkeep'
			keep in 1/1
			
			save  "${OUTPUT}/regs/bal3_`cnt_blvar'", replace
		restore

	}
	//

	local numbalvars = wordcount("`balanceyvars'")

	preserve
	
		forv j=1/3 {
			clear
			forv i=1/`numbalvars' {
				di "`j', `i'"
				append using "${OUTPUT}/regs/bal`j'_`i'"
				erase "${OUTPUT}/regs/bal`j'_`i'.dta"
			}
			save "${OUTPUT}/regs/bal`j'_all", replace
		}
	
	restore
