	clear
	est clear	

	global sd_all ${sd_exp} /* ${sd_sav} */ ${sd_plan} ${sd_tempt}
	
	* ~~~~~~~~~~~~
	* S.D. Main
	* ~~~~~~~~~~~~
	
	di "`sd_all'"
	
	if ${figure_on} local tables sd_all
	if !${figure_on} local tables sd_exp sd_sav sd_plan sd_tempt 
	
	foreach table in `tables' { // {	
	
		local cnt_y = 0
	
		foreach y in $`table' {
			
			local ++cnt_y
			
			local yv `y'_b1t99 // winsorized version

			** PANEL A - one week post
			*--REGRESSIONS--
			 use `comb_1week', clear
			 lab var DD_T1 "Savings Default"
			 qui reg `yv' `yv'_pre `reg_1week_DD'
			 est store t_`table'_A_`cnt_y'
			 * store coef and se for DD_T1
			 local bhat = _b[DD_T1]
			 local sehat = _se[DD_T1]
			 su `yv' if e(sample) & !DD_T1
			 
			 local mean_y_omit = r(mean)
			 qui estadd scalar mean_y_omit=`mean_y_omit'
			 qui estadd scalar sd_y_omit=r(sd)
			 
			*--COMPILE FOR GRAPHS--
			 des `y'
			 local varlab: variable label `y'
			 preserve
				clear
				set obs 4
				gen spec = "SD Main Panel A"
				gen outcome = `cnt_y'
				* gen outcome_var = "`y'"				
				gen outcome_var = "`varlab'"
				gen b = `bhat'
				gen se = `sehat'
				
				gen bar=_n
				
				* T and C
				gen meany = .y
				** C
				replace meany = `mean_y_omit' if _n==4
				** T
				replace meany = `mean_y_omit' + `bhat' if _n==1
				
				* CI
				gen loy2 = .l
				gen hiy2 = .h
				replace loy2 = `mean_y_omit'+`bhat'-1.96*se if _n==2
				replace hiy2 = `mean_y_omit'+`bhat'+1.96*se if _n==2
				
				* TE
				gen loy = .l
				gen hiy = .h
				replace loy = `mean_y_omit' if _n==3
				replace hiy = `mean_y_omit'+`bhat' if _n==3
				
				save "${OUTPUT}/graphs/sdA_`y'", replace
								
			 restore

			** PANEL B - two weeks post
			*--REGRESSIONS--
			 use `comb_2week', clear
			 lab var DD_T2 "Savings Default"
			 qui reg `yv' `yv'_pre `reg_2week_DD'
			 est store t_`table'_B_`cnt_y'
			 * store coef and se for DD_T2			 
			 local bhat = _b[DD_T2]
			 local sehat = _se[DD_T2]
			 qui su `yv' if e(sample) & !DD_T2
			 qui estadd scalar mean_y_omit=r(mean)
			 qui estadd scalar sd_y_omit=r(sd)
			 
		} 
		// end foreach y 
	}
	// end foreach table

	* ~~~~~~~~~~~~
	* Delay
	* ~~~~~~~~~~~~
	
	global dy_all ${dy_exp} /* ${sd_sav} */ ${dy_plan} ${sd_tempt}

	di "`dy_all'"
	
	if ${figure_on} local tables dy_all
	if !${figure_on} local tables dy_exp dy_sav dy_plan dy_tempt
	
	di "`table'"
	foreach table in `tables' {
			
		local cnt_y = 0
		
		di "$`table'"
		
		foreach y in $`table' {
		
			local ++cnt_y		
		
			*--REGRESSIONS--

			local yv `y'_b1t99 

			use `comb_delay', clear
			lab var Post1_delay1 "1-day delay"
			lab var Post1_delay8 "8-day delay"
			qui reg `yv' `yv'_pre `reg_delay'
			est store t_`table'_`yv'
			
			* store coef and se for DD_T2
			local bhat_1 = _b[Post1_delay1]
			local sehat_1 = _se[Post1_delay1]
			local bhat_2 = _b[Post1_delay8]
			local sehat_2 = _se[Post1_delay8]
			
			lincom Post1_delay8-Post1_delay1
			local bhat_3 = r(estimate)
			local sehat_3 = r(se)
							
			qui su `yv' if e(sample) & Post1 & delay0
			
			local mean_y_omit = r(mean)
			qui estadd scalar mean_y_omit=`mean_y_omit'
			qui estadd scalar sd_y_omit=r(sd)
			
			test Post1_delay1=Post1_delay8
			qui estadd scalar p_p1vp8=r(p)
			
			*--COMPILE FOR GRAPHS--
			des `y'
			local varlab: variable label `y'
			preserve
				clear
				set obs 9
				gen spec = "DY"
				gen outcome = `cnt_y'
				* gen outcome_var = "`y'"				
				gen outcome_var = "`varlab'"
				gen b1 = `bhat_1'
				gen se1 = `sehat_1'
				gen b2 = `bhat_2'
				gen se2 = `sehat_2'
				gen b3 = `bhat_3'
				gen se3 = `sehat_3'
				
				gen bar=_n
				
				* +0 +1 + 8
				gen meany = .y
				** +0
				replace meany = `mean_y_omit' if _n==9
				** +1
				replace meany = `mean_y_omit' + `bhat_1' if _n==6
				** +8
				replace meany = `mean_y_omit' + `bhat_2' if _n==3
				
				* CI
				gen loy2 = .l
				gen hiy2 = .h
				
				replace loy2 = `mean_y_omit'+`bhat_1'-1.96*se1 if _n==7
				replace hiy2 = `mean_y_omit'+`bhat_1'+1.96*se1 if _n==7
				
				replace loy2 = `mean_y_omit'+`bhat_2'-1.96*se2 if _n==4
				replace hiy2 = `mean_y_omit'+`bhat_2'+1.96*se2 if _n==4
				
				replace loy2 = `mean_y_omit'+`bhat_2'-1.96*se3 if _n==1
				replace hiy2 = `mean_y_omit'+`bhat_2'+1.96*se3 if _n==1
				
				* TE
				gen loy = .l
				gen hiy = .h
				
				replace loy = `mean_y_omit' if _n==8
				replace hiy = `mean_y_omit'+`bhat_1' if _n==8
				
				replace loy = `mean_y_omit' if _n==5
				replace hiy = `mean_y_omit'+`bhat_2' if _n==5
				
				replace loy = `mean_y_omit'+`bhat_1' if _n==2
				replace hiy = `mean_y_omit'+`bhat_2' if _n==2
				
				save "${OUTPUT}/graphs/dy_`y'", replace
								
			restore
		 
		} 
		// end foreach y 
	}
	// end foreach table
	
	
		
	*** ESTOUT TABLE SD Main and Delay Main 
	
	if !${figure_on} {	
	
		clear
		
		est dir 
		
		#d ;
		local estoutopts_I_main
		 numbers label
		 collabels(, none) mlabels(, none)
		 posthead("") varwidth(30) modelwidth(10)
		 cells(b(star fmt(3)) se(par)) starlevels(* 0.10 ** 0.05 *** 0.001) 
		 legend ;
		
		local estoutopts_II_sd 
						  stats(
						   N mean_y_omit sd_y_omit r2, 
						   fmt(0 2 2) 
						   labels("Observations" "Mean of dependent variable in Cash group" "SD of dependent variable in Cash group" "R-squared")
						  )
						  ; 

		local estoutopts_II_delay_top
						  stats(
						   N mean_y_omit sd_y_omit r2 p_p1vp8, 
						   fmt(0 2 2 3 3) 
						   labels("Observations" "Mean of dependent variable in Immediate group" "SD of dependent variable in Immediate group" "R-squared" "P-value: Delay1=Delay8")
						  ); 	
						  
		#d cr
						  
		local estoutopts_sd_top `estoutopts_I_main' `estoutopts_II_sd'
		
		local estoutopts_delay_top `estoutopts_I_main' `estoutopts_II_delay_top'
		
		* S.D. Main
		 use `comb_1week', clear
		 lab var DD_T1 "Savings Default"
		 lab var DD_T2 "Savings Default"
		 
		 
		 local table sd_exp
		 estout t_`table'_A_* using "${OUTPUT}/regs/t_`table'.tex", ///
			style(tex) title("Table `table'", @title) keep(DD_T1) `estoutopts_sd_top'
		 estout t_`table'_B_* using "${OUTPUT}/regs/t_`table'.tex", ///
			style(tex) title("Table `table'", @title) keep(DD_T2) `estoutopts_sd_top' append
			
		 estout t_`table'_A_* using "${OUTPUT}/regs/t_`table'.txt", ///
			style(fixed) title("Table `table'", @title) keep(DD_T1) `estoutopts_sd_top'		
		 estout t_`table'_B_* using "${OUTPUT}/regs/t_`table'.txt", ///
			style(fixed) title("Table `table'", @title) keep(DD_T2) `estoutopts_sd_top' append
		
		
		 local table sd_sav
		 estout t_`table'_A_* using "${OUTPUT}/regs/t_`table'.tex", ///
			style(tex) title("Table `table'", @title) keep(DD_T1) `estoutopts_sd_top'
		 estout t_`table'_B_* using "${OUTPUT}/regs/t_`table'.tex", ///
			style(tex) title("Table `table'", @title) keep(DD_T2) `estoutopts_sd_top' append
			
		 estout t_`table'_A_* using "${OUTPUT}/regs/t_`table'.txt", ///
			style(fixed) title("Table `table'", @title) keep(DD_T1) `estoutopts_sd_top'
		 estout t_`table'_B_* using "${OUTPUT}/regs/t_`table'.txt", ///
			style(fixed) title("Table `table'", @title) keep(DD_T2) `estoutopts_sd_top' append
			
			
		 local table sd_plan
		 estout t_`table'_A_* using "${OUTPUT}/regs/t_`table'.tex", ///
			style(tex) title("Table `table'", @title) keep(DD_T1) `estoutopts_sd_top'
		 estout t_`table'_B_* using "${OUTPUT}/regs/t_`table'.tex", ///
			style(tex) title("Table `table'", @title) keep(DD_T2) `estoutopts_sd_top' append
			
		 estout t_`table'_A_* using "${OUTPUT}/regs/t_`table'.txt", ///
			style(fixed) title("Table `table'", @title) keep(DD_T1) `estoutopts_sd_top'
		 estout t_`table'_B_* using "${OUTPUT}/regs/t_`table'.txt", ///
			style(fixed) title("Table `table'", @title) keep(DD_T2) `estoutopts_sd_top' append
			
			
		 local table sd_tempt
		 estout t_`table'_A_* using "${OUTPUT}/regs/t_`table'.tex", ///
			style(tex) title("Table `table'", @title) keep(DD_T1) `estoutopts_sd_top'
		 estout t_`table'_B_* using "${OUTPUT}/regs/t_`table'.tex", ///
			style(tex) title("Table `table'", @title) keep(DD_T2) `estoutopts_sd_top' append
			
		 estout t_`table'_A_* using "${OUTPUT}/regs/t_`table'.txt", ///
			style(fixed) title("Table `table'", @title) keep(DD_T1) `estoutopts_sd_top'
		 estout t_`table'_B_* using "${OUTPUT}/regs/t_`table'.txt", ///
			style(fixed) title("Table `table'", @title) keep(DD_T2) `estoutopts_sd_top' append
			
			
		* DELAY Main
		 use `comb_delay', clear
		 lab var Post1_delay1 "1-day delay"
		 lab var Post1_delay8 "8-day delay"
		 
		 local table dy_exp 
		 estout t_`table'_* using "${OUTPUT}/regs/t_`table'.tex", ///
			style(tex) title("Table `table'", @title) keep(Post1_delay1 Post1_delay8) `estoutopts_delay_top'
		 estout t_`table'_* using "${OUTPUT}/regs/t_`table'.txt", ///
			style(fixed) title("Table `table'", @title) keep(Post1_delay1 Post1_delay8) `estoutopts_delay_top'

		 local table dy_plan 
		 estout t_`table'_* using "${OUTPUT}/regs/t_`table'.tex", ///
			style(tex) title("Table `table'", @title) keep(Post1_delay1 Post1_delay8) `estoutopts_delay_top'
		 estout t_`table'_* using "${OUTPUT}/regs/t_`table'.txt", ///
			style(fixed) title("Table `table'", @title) keep(Post1_delay1 Post1_delay8) `estoutopts_delay_top'

		 local table dy_tempt 
		 estout t_`table'_* using "${OUTPUT}/regs/t_`table'.tex", ///
			style(tex) title("Table `table'", @title) keep(Post1_delay1 Post1_delay8) `estoutopts_delay_top'
		 estout t_`table'_* using "${OUTPUT}/regs/t_`table'.txt", ///
			style(fixed) title("Table `table'", @title) keep(Post1_delay1 Post1_delay8) `estoutopts_delay_top'

	}
	// end if !${figure_on}
	
